export declare class StoryButton {
  story: HTMLGlStoryElement;
  disabled: boolean;
  /**
   * Where in the story this button will take you
   */
  readonly action: "first" | "last" | "next" | "previous" | "close";
  /**
   * The icon for the button
   */
  readonly icon: string;
  /**
   * An alternative name for this button
   */
  readonly label: string;
  /**
   * The id of the story which this button acts upon
   */
  readonly storyId: string;
  componentWillLoad(): Promise<void>;
  updateStory(): Promise<void>;
  updateDisabled(): void;
  private doAction;
  private clickAction;
  render(): any;
}
